import HamalronItemSheet from "./base-item-sheet.mjs"

export default class HamalronTarotSheet extends HamalronItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["tarot"],
    position: {
      width: 800,
      height: 800
    },
    window: {
      contentClasses: ["tarot-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-hamalron/templates/tarot.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.description, { async: true })
    context.enrichedPositiveEffect = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.positiveEffect, { async: true })
    context.enrichedNegativeEffect = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.negativeEffect, { async: true })
    return context
  }
}
